import { date } from 'quasar';

const anchor_date: Date = new Date('2023-12-17');

export const getCurrentPayPeriod = (today = new Date()): number => {
  const period_length = 14; // days
  const periods_per_year = 26;

  const days_since_anchor = date.getDateDiff(today, anchor_date, 'days');
  const periods_since_anchor = Math.floor(days_since_anchor / period_length);

  const current_period = (periods_since_anchor % periods_per_year) + 1;

  console.log(current_period);
  return current_period;
}